# Podręcznik użytkownika &kde;

Stephan
Kulow

    coolo@kde.org

2007-09-28
K Desktop Environment
kde4-config
1

# `kde4-config`

Wyświetla ścieżki instalacji &kde;

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path typ --userpath typ --install typ

## Opis

kde4-config to program konsolowy (wiersza poleceń) używany do pobierania informacji o instalacji &kde; lub ścieżkach dostępu użytkownika.

Użyj tego programu do określenia miejsc instalacji rozmaitych aspektów &kde; w Twoim systemie.

## Opcje

`--expandvars`

  Rozwija ${prefix} i ${exec_prefix} na wyjściu

`--prefix`

  Wkompilowany przedrostek dla bibliotek &kde;

`--exec-prefix`

  Wkompilowany exec_prefix for dla bibliotek &kde;

`--libsuffix`

  Wkompilowany przyrostek ścieżki dostępu do bibliotek

`--localprefix`

  Przedrostek w $`HOME` używany do zapisywania plików

`--version`

  Wkompilowane oznaczenie wersji bibliotek &kde;

`--types`

  Wypisuje wszystkie dostępne typy zasobów &kde;

`--path typ`

  Przeszukuje ścieżkę dostępu w poszukiwaniu określonego typu

`--userpath typ`

  Ścieżki dostępu zdefiniowane przez użytkownika dla typów: desktop|autostart|trash|document

`--install typ`

  Przedrostek instalacji plików zasobów

## Przykłady

Wypisz katalog instalacyjny &kde; najwyższego poziomu:

&percnt;``kde4-config --prefix``

Wypisz listę typów wszystkich zasobów:

&percnt;``kde4-config --types``

Wypisz ścieżkę dostępu do zainstalowanej tapety pulpitu:

&percnt;``kde4-config --path wallpaper``

## Zobacz również

kdeoptions(7)

## Błędy

Nie są znane żadne błędy.